Skip to main content
`Ctrl`+`K`

# TSMPRKGetType

Get the type of `TSMPRK` scheme

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMPRKGetType(TS ts, TSMPRKType *mprktype)

Not Collective

## Input Parameter

- ts - timestepping context

## Output Parameter

- mprktype - type of `TSMPRK` scheme

## See Also

TS: Scalable ODE and DAE Solvers, `TSMPRK`

## Level

intermediate

## Location

src/ts/impls/multirate/mprk.c

## Implementations

TSMPRKGetType_MPRK() in src/ts/impls/multirate/mprk.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages